Object Storage API, Amazon S3-compatible REST: AbortMultipartUpload
Written by
Updated at May 6, 2026
Aborts an upload and deletes all the saved object parts from Object Storage. If the abort upload request was received when uploading any part, no result is guaranteed.
We recommend that you get a list of parts after aborting the upload and, if it is not empty, resend the request. Abort requests should be sent until the list of the parts becomes empty.
For more information on getting started with the API and the general request format, see How to use the S3 API.
Request
DELETE /{bucket}/{key}?uploadId=UploadId HTTP/2
Path parameters
| Parameter | Description |
|---|---|
bucket |
Bucket name. |
key |
Object key. |
Query parameters
| Parameter | Description |
|---|---|
uploadId |
ID of the multipart upload returned by Object Storage at startup. |
Headers
Use the appropriate common headers in your request.
Response
Headers
Responses can only contain common headers.
Response codes
For a list of possible responses, see Responses.
Additionally, Object Storage may return errors described in the table below.
| Error | Description | HTTP code |
|---|---|---|
NoSuchUpload |
The specified upload does not exist. This may happen if you specify a wrong upload ID or the upload was completed or deleted. | 404 Not Found |